<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>netcoreapp3.1</TargetFramework>
		<IsPackable>false</IsPackable>
		<GeneratePackageOnBuild>false</GeneratePackageOnBuild>
		<RootNamespace>Cloudburst.Cache.Tests</RootNamespace>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Divergic.Logging.Xunit" Version="3.5.0" />
		<PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.7.1" />
		<PackageReference Include="xunit" Version="2.4.1" />
		<PackageReference Include="xunit.runner.visualstudio" Version="2.4.3">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="coverlet.collector" Version="1.3.0">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Logging" Version="3.1.8" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\Cloudburst.Cache.Abstractions\Cloudburst.Cache.Abstractions.csproj" />
	  <ProjectReference Include="..\Cloudburst.Cache.Consul\Cloudburst.Cache.Consul.csproj" />
	  <ProjectReference Include="..\Cloudburst.Cache.Models\Cloudburst.Cache.Models.csproj" />
	  <ProjectReference Include="..\Cloudburst.Cache\Cloudburst.Cache.csproj" />
	</ItemGroup>

</Project>
